libosmo-sccp (1.9.0+dfsg1-6build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Fri, 06 Feb 2026 21:18:43 +0100

libosmo-sccp (1.9.0+dfsg1-6) unstable; urgency=medium

  * debian/control: no longer build sigtran packages

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 10 Mar 2025 23:16:00 +0100

libosmo-sccp (1.9.0+dfsg1-5) unstable; urgency=medium

  * BTS did not like the manual closed bug #1092983 so doing it again
    with this upload. The bug was already fixed in 1.9.0+dfsg1-4
    (Closes: #1092983)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 01 Mar 2025 12:16:00 +0100

libosmo-sccp (1.9.0+dfsg1-4) unstable; urgency=medium

  * add salsa-ci.yml
  * debian/tests/control: add pkgconf to dependencies (Closes: #1088863)
    (Thanks a lot to Michael Tokarev for the hint)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 07 Dec 2024 12:16:00 +0100

libosmo-sccp (1.9.0+dfsg1-3) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 02 Sep 2024 19:16:00 +0200

libosmo-sccp (1.9.0+dfsg1-2) experimental; urgency=medium

  [ Nathan Doris ]
  * debian/patches
   - bumped version patch

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 21 Aug 2024 22:16:00 +0200

libosmo-sccp (1.9.0+dfsg1-1) experimental; urgency=medium

  [ Nathan Doris ]

  * debian/control
   - pkg-config -> pkgconf
   - requires root : no
  * debian/symbols
   - refreshed symbols and bumped sigtran7 -> sigtran10
  * debian/rules
   - commented out debian-rules-uses-as-needed-linker-flag
   * debian/patches
   - new patch autotools-pkg-config-macro-not-cross-compilation-safe.patch
   - new patch systemd-hardening.patch
  * debian/copyright
   - refreshed copyright
  * debian/not-installed
   - commented out 2 cfg files
   - created new file osmo-stp.examples and added the 2 cfg file paths
  * debian/upstream
   - new file metadata

  [ Thorsten Alteholz ]

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 13 Aug 2024 19:16:00 -0600

libosmo-sccp (1.6.0+dfsg1-5) unstable; urgency=medium

  * source upload

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 26 Apr 2024 18:42:29 +0200

libosmo-sccp (1.6.0+dfsg1-4) unstable; urgency=medium

  * due to dependencies (libosmo-netif) package no longer builds on
    32bit architectures, so we don't need this t64 versions any longer
  * debian/control: Kira Obrezkova no longer works on this
                    package -> removed from Uploaders:
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 20 Apr 2024 12:42:29 +0200

libosmo-sccp (1.6.0+dfsg1-3) unstable; urgency=medium

  * debian/rules: configure with --with-systemdsystemunitdir=no
                  thanks to Dan Bungert and Gianfranco Costamagna
                  for the suggestion (Closes: #1021765)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 15 Oct 2022 12:42:29 +0200

libosmo-sccp (1.6.0+dfsg1-2) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 13 Oct 2022 21:50:04 +0200

libosmo-sccp (1.6.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * debian/control: use at least libosmocore 1.7.0
  * debian/control: use at least libosmo-netif 1.2.0
  * update symbols file

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 03 Oct 2022 17:51:48 +0200

libosmo-sccp (1.5.0+dfsg1-2) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 16 Mar 2022 21:50:04 +0100

libosmo-sccp (1.5.0+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.6.0 (no changes)
  * debian/control: use at least libosmocore 1.5.0
  * debian/control: use at least libosmo-netif 1.1.0
  * debian/control: use dh13

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 09 Mar 2022 03:50:04 +0000

libosmo-sccp (1.3.0+dfsg1-3) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 10 Dec 2020 18:37:02 +0100

libosmo-sccp (1.3.0+dfsg1-2) experimental; urgency=medium

  * ignore format problem in testsuite

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 02 Dec 2020 18:37:02 +0100

libosmo-sccp (1.3.0+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.5.0 (no changes)
  * debian/control: use dh12
  * debian/control: depend on libosmocore >=1.4.0
  * debian/control: take care of soname change
  * add Build-Depends-Package: to symbols files

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 17 Aug 2020 19:37:02 +0000

libosmo-sccp (0.10.0-6) unstable; urgency=medium

  * do source only upload

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 10 Aug 2020 19:28:26 +0200

libosmo-sccp (0.10.0-5) unstable; urgency=medium

  * add patch for gcc10 (Closes: #957463)
    Thanks to Harald Welte for the patch
  * debian/control: bump standard to 4.5.0 (no changes)
  * debian/control: use dh12

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 05 Aug 2020 19:28:26 +0200

libosmo-sccp (0.10.0-4) unstable; urgency=medium

  * Patch for fixing test suite on big-endian architectures:
    - 0006-Separate-expected-response-big-endian.patch

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 18 Nov 2018 09:24:20 +0100

libosmo-sccp (0.10.0-3) unstable; urgency=low

  * debian/rules: Re-enable tests on all architectures

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 16 Nov 2018 08:22:35 +0100

libosmo-sccp (0.10.0-2) unstable; urgency=medium

  * debian/control: Add libosmocore-dev as dependency for libosmo-sccp-dev
  * debian/tests/control: Add build-essential to test dependency list

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 09 Nov 2018 22:59:57 +0100

libosmo-sccp (0.10.0-1) unstable; urgency=low

  * Upload to unstable

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 05 Nov 2018 21:46:44 +0100

libosmo-sccp (0.10.0-1~exp2) experimental; urgency=medium

  * Install systemd service, but do not enable it by default
  * Install useful default configuration file for osmo-stp in
    /etc/osmocom/osmo-stp.cfg
  * debian/control:
    - New standards version 4.2.1 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 23 Sep 2018 13:38:07 +0200

libosmo-sccp (0.10.0-1~exp1) experimental; urgency=medium

  * New upstream release
  * debian/changelog:
    - Added entry from sid (0.8.1-6) to this changelog
  * debian/control:
    - Updated versions in versioned build-dependencies
  * debian/libosmo-sigtran0.symbols:
    - Added new symbols
  * debian/patches/02_set_version_explicitly.patch:
    - Updated version

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 29 Aug 2018 19:12:40 +0200

libosmo-sccp (0.9.0-3~exp1) experimental; urgency=medium

  * debian/control:
    - Add missing dependency for libosmo-sccp-dev: libosmomtp0 (=
      ${binary:Version}) (Closes: #905414)
    - New standards version 4.2.0 - no changes
  * debian/patches/0005-Patch-the-pkconfig-file-for-libosmo-xua.patch
    - The new autopkgtest reveiled a problem in one of the pkg-config files.
      Fix.
  * debian/patches: Refreshed patches using gbp-pq
  * debian/tests:
    - Added a test to verify that it is possible to link to the library.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 05 Aug 2018 22:40:43 +0200

libosmo-sccp (0.9.0-2) experimental; urgency=medium

  * debian/patches: adapt version patch

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 21 Jun 2018 19:28:26 +0200

libosmo-sccp (0.9.0-1) experimental; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 17 May 2018 15:28:26 +0200

libosmo-sccp (0.8.1-6) unstable; urgency=medium

  * debian/control:
    - Add missing dependency for libosmo-sccp-dev:
        libosmomtp0 (= ${binary:Version}) (Closes: #905414)
        Already fixed in experimental
    - New standards version 4.2.0 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 17 Aug 2018 15:50:03 +0200

libosmo-sccp (0.8.1-5) unstable; urgency=medium

  * debian/*: libosmo-sigtran.so has own dev package now

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 20 Apr 2018 18:39:43 +0200

libosmo-sccp (0.8.1-4) unstable; urgency=medium

  * debian/control: add lib dependency to dev package

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 19 Apr 2018 19:39:43 +0200

libosmo-sccp (0.8.1-3) unstable; urgency=medium

  * debian/rules: some tests on BE fail
  * add .so files to dev package

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 16 Apr 2018 19:47:43 +0100

libosmo-sccp (0.8.1-2) unstable; urgency=medium

  * move to unstable
  * debian/control: add salsa URLs
  * debian/control: use dh11
  * debian/control: bump standard to 4.1.4 (no changes)
  * debian/control: fix typo on dependencies (Closes: #891447)
                    (thanks to Andreas Beckmann)
  * debian/control: add conflicts for old -dev package (Closes: #890857)
                    (thanks to Andreas Beckmann)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 15 Apr 2018 18:47:14 +0100

libosmo-sccp (0.8.1-1) experimental; urgency=medium

  * New upstream release

 -- Kira Obrezkova <kiraobrezkova@gmail.com>  Mon, 22 Jan 2018 13:52:29 +0300

libosmo-sccp (0.7.0-4) unstable; urgency=medium

  * debian/control: add myself to uploaders
  * debian/watch: change watch file
  * debian/control: bump standard to 4.1.2 (no changes)

 -- Kira Obrezkova <kiraobrezkova@gmail.com>  Sat, 06 Jan 2018 10:43:48 +0300

libosmo-sccp (0.7.0-3) unstable; urgency=medium

  * debian/control: add myself to uploaders
  * debian/control: move package to debian-mobcom and change URLs
  * debian/control: change maintainer to debian-mobcom-maintainers
  * debian/control: use dh10
  * debian/control: bump standard to 4.1.0 (no changes)
  * debian/control: remove redundant dependency of dh-autoreconf

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 11 Sep 2017 19:52:59 +0200

libosmo-sccp (0.7.0-2) unstable; urgency=medium

  * Fix FTBFS for big-endian architectures
  * d/control: Standards 3.9.7 - no needed changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 20 Feb 2016 18:04:09 +0100

libosmo-sccp (0.7.0-1) unstable; urgency=low

  * Initial release (Closes: #813294)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 05 Feb 2016 16:23:37 +0100
